Subject: Re: New SOX release

From: [email-masked] (Bill Neisius)
Date: Tue, 22 Jun 93 19:28:36 PDT

> It also tries to tell you what kind of adpcm or u-law
> format it is rejecting.  

Wouldn't it be nice to throw an ADPCM routine into SOX to encode/decode....

> What is the extended block format?  If it's documented
> somewhere and there are adequate test files I can add it.

Here's the format:

	Block Type 8 - Extended Block

	byte	description
	----	-----------
	0	0x08
	1-3	Block length (always 4)
	4-5	Time constant

		mono: 65536 - (256000000/sample_rate)
		stereo: 65536 - (256000000/(2*sample_rate))

	6	pack

		0:	8-bit unpacked
		1-3:	packed
		4-10:	"n-channel multi" whatever that is...

	7	mode

		0:	mono
		1:	stereo

"Block type 8 always precedes block type 1. When this block is present, 
the attributes in block type 1 are ignored"

Test files?  I could generate some if you like...

There must be a 16-bit VOC...right? I guess it might be pack type #11...

-Bill